Last Comment Bug 632874 - make it clear that first-run startup time isn't normal
: make it clear that first-run startup time isn't normal
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: ---
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-09 09:59 PST by Madhava Enros [:madhava]
Modified: 2011-07-20 02:44 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.03 KB, patch)
2011-05-14 23:09 PDT, Brad Lassey [:blassey] (use needinfo?)
dougt: review+
Details | Diff | Review

Description Madhava Enros [:madhava] 2011-02-09 09:59:27 PST
First-run startup time is much longer than regular app startup given that Firefox is creating your profile (and other things?).  Right now, on our splashscreen, we still show the "Loading" string.

Instead, for the duration of the activities that don't happen every time, we should say, instead, "Setting up Firefox" (or Fennec).

This should make it clear that what users are experiencing isn't what they will experience in the future.
Comment 1 Thomas Arend [:tarend] 2011-02-09 10:05:27 PST
Maybe we could show a message "preparing first run" or similar when users start the mobile browser for the first time after installation. I wonder though what happens after you deactivate and re-activate sync or delete your user data - I expect slower startup after these actions
Comment 2 Brad Lassey [:blassey] (use needinfo?) 2011-02-15 12:21:31 PST
2,0-, but we'll take a patch for this
Comment 3 Brad Lassey [:blassey] (use needinfo?) 2011-05-14 23:09:46 PDT
Created attachment 532497 [details] [diff] [review]
patch
Comment 4 Doug Turner (:dougt) 2011-05-17 12:48:02 PDT
Comment on attachment 532497 [details] [diff] [review]
patch

i do not understand the difference between:

splash_screen_installing
splash_firstrun


Maybe instead, we should have a more dynamic splash screen on firstrun/installation, that shows a progress bar (maybe bad for performance), or a set of strings that we cycle through when we install:

preparing for installation
installing libraries
creating profile
optimization installation
Comment 5 Brad Lassey [:blassey] (use needinfo?) 2011-05-17 12:50:47 PDT
(In reply to comment #4)
> Comment on attachment 532497 [details] [diff] [review] [review]
> patch
> 
> i do not understand the difference between:
> 
you can look at the dtd to get the strings
> splash_screen_installing
installing libraries
> splash_firstrun
installing fennec/firefox
> 
> 
> Maybe instead, we should have a more dynamic splash screen on
> firstrun/installation, that shows a progress bar (maybe bad for
> performance), or a set of strings that we cycle through when we install:
yup, bad for performance
> 
> preparing for installation
> installing libraries
> creating profile
> optimization installation
that's not what madhava specified
Comment 6 Madhava Enros [:madhava] 2011-05-19 10:42:37 PDT
I don't want to add more jargon-filled detail.  The point here isn't to explain exactly what's going on to the user; instead, we're simply trying to make the point that the wait they're experiencing is not something that will happen every time.

We can try other things to give more of a sense of activity (as Doug is suggesting), but I think the "Setting up Firefox" string is helpful on its own.
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2011-05-20 11:57:30 PDT
pushed http://hg.mozilla.org/mozilla-central/rev/d12ac3cb86bd
Comment 8 Andreea Pod 2011-07-20 02:44:41 PDT
Verified fixed on Firefox 6 Beta 2: Mozilla /5.0 (Android;Linux armv7l;rv:6.0) Gecko/20110713 Firefox/6.0 Fennec/6.0

Device: LG Optimus 2X (Android 2.2)

Note You need to log in before you can comment on or make changes to this bug.